Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.ListRenderer class.
jala ListRenderer(coll, renderer)
parameters

HopObject, ArrayList, Array | coll | The collection this ListRenderer operates on, or - for backwards compatibility only - a parameter object containing the collection and any other optional configuration parameters.
Object | renderer | An optional renderer to use. If this is set, any rendering method defined in this renderer overrides the default renderer.

methods

- getCollection()

- setCollection(coll)

- getPageSize()

- setPageSize(size)

- getCurrentPage()

- getMaxPages()

- setMaxPages(pages)

- getTotalPages()

- getBaseHref()

- setBaseHref(href)

- getItemSkin()

- setItemSkin(name)

- getUrlParameterName()

- setUrlParameterName(name)

- getUrlParameters()

- setUrlParameters(params)

- getRenderer()

- setRenderer(r)

- getPageHref(page)

- getStartIndex()

- getEndIndex()

- renderList(param)

- getList(param)

- renderListAsString(param)

- renderPrevLink(param)

- getPrevLink(param)

- renderPrevLinkAsString(param)

- renderNextLink(param)

- getNextLink(param)

- renderNextLinkAsString(param)

- renderPageNavigation(param)

- getPageNavigation(param)

- renderPageNavigationAsString(param)

- limit_macro(param)

- prevLink_macro(param)

- nextLink_macro(param)

- pageNavigation_macro(param)

- size_macro()

- totalPages_macro()

- currentPage_macro()

- currentStart_macro()

- currentEnd_macro()

- render_macro(param)

jala ListRenderer.ArrayList(arr, offset, total)
Creates a new ArrayList instance.
parameters

Array | arr | The array (or a subsection of an array) to wrap
Number | offset | An optional offset to use (mandatory if the array is just a subsection).
Number | total | An optional total size of the array. This argument is mandatory if the wrapped array is just a subsection.

methods

- get(idx)

- size()

- isSubset()

- subsetSize()

properties

- Number offset

- Number length

jala. ListRenderer.defaultRenderer
Default Renderer object containing functions used for rendering different list items (eg. page navigation, prev/next links and list items).
jala. ListRenderer.defaultRenderer.list
List renderer object
jala. ListRenderer.defaultRenderer.pageNavigation
Pagenavigation renderer object
jala. ListRenderer.defaultRenderer.pageLink
Pagelink renderer object
Number jala.ListRenderer.ArrayList. offset
The offset of this ArrayList instance. This might be > zero for ArrayList instances wrapping just a subsection, that is mimicking a bigger list.
Number jala.ListRenderer.ArrayList. length
The length of this ArrayList instance.
Methods
jala.ListRenderer. getCollection()
Returns the collection this ListRenderer instance operates on
returns

| The collection of this ListRenderer

jala.ListRenderer. setCollection(coll)
Sets the collection of this ListRenderer
parameters

HopObject, ArrayList, Array | coll | The collection this ListRenderer instance should operate on

jala.ListRenderer. getPageSize()
Returns the number of items displayed on one page
returns

| The number of items displayed on a single page

jala.ListRenderer. setPageSize(size)
Sets the number of items to display on a single page
parameters

Number | size | The number of items to display on one page

jala.ListRenderer. getCurrentPage()
Returns the current page index. This is either the page url parameter or the page number 1.
returns

| The current page number (starts with 1).

see

jala.ListRenderer.setUrlParameterName

jala.ListRenderer. getMaxPages()
Returns the maximum number of pages handled by this ListRenderer instance
returns

| The maximum number of pages

jala.ListRenderer. setMaxPages(pages)
Sets the maximum number of pages to display
parameters

Number | pages | The maximum number of pages to display

jala.ListRenderer. getTotalPages()
Returns the total number of pages handled by this ListRenderer instance (which is the collection size divided by the page size).
returns

| The total number of pages

jala.ListRenderer. getBaseHref()
Returns the base href of this ListRenderer instance
returns

| The base href of this ListRenderer instance

jala.ListRenderer. setBaseHref(href)
Sets the base href of this ListRenderer instance. All links rendered will start with the href passed as argument
parameters

String | href | The base href to use for rendering links

jala.ListRenderer. getItemSkin()
Returns the name of the skin rendered for a single list item
returns

| The name of the list item skin

jala.ListRenderer. setItemSkin(name)
Sets the name of the skin to render for every list item
parameters

String | name | The name of the skin to render for every list item

jala.ListRenderer. getUrlParameterName()
Returns the name of the URL parameter name containing the index of the page to display
returns

| The name of the page URL parameter name

jala.ListRenderer. setUrlParameterName(name)
Sets the name of the URL parameter name containing the index of the page to display
parameters

String | name | The name of the page URL parameter

jala.ListRenderer. getUrlParameters()
Returns any additional URL parameters included in every navigation link rendered by this ListRenderer instance.
returns

| A string containing additional URL parameters

jala.ListRenderer. setUrlParameters(params)
Sets additional parameters to include in every navigation link
parameters

String | params | A string to append to every navigation URL

jala.ListRenderer. getRenderer()
Returns the renderer used by this ListRenderer instance
jala.ListRenderer. setRenderer(r)
Sets the renderer to be used by this ListRenderer instance
parameters

Object | r | The renderer to use

jala.ListRenderer. getPageHref(page)
Returns the href of a page. If no argument is given, the href of the current page is returned. Any URL parameters set with {@link #setUrlParameters} are added to the href.
parameters

Number | page | The optional page number to include in the href.

returns

| The href of the page

see

jala.ListRenderer.setUrlParameters
jala.ListRenderer.setUrlParameterName

jala.ListRenderer. getStartIndex()
Returns the zero-based index position of the first item of the current page in the collection this ListRenderer operates on.
returns

| The index position of the first item in the list

jala.ListRenderer. getEndIndex()
Returns the zero-based index position of the last item of the current page in the collection this ListRenderer operates on.
returns

| The index position of the last item in the list

jala.ListRenderer. renderList(param)
Renders the list of items for one page directly to response.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

see

jala.ListRenderer.getList

jala.ListRenderer. getList(param)
Returns the rendered list of collection items as string
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| The rendered list

see

jala.ListRenderer.renderList

jala.ListRenderer. renderListAsString(param) deprecated Use {@link #getList} instead
Returns the rendered list of collection items as string
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| The rendered list

see

jala.ListRenderer.renderList

jala.ListRenderer. renderPrevLink(param)
Renders a link to the previous page directly to response.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

see

jala.ListRenderer.getPrevLink

jala.ListRenderer. getPrevLink(param)
Returns a rendered link to the previous page as string. For performance reasons this method caches the rendered link in the local cache of this ListRenderer instance.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| A rendered link to the previous page

see

jala.ListRenderer.renderPrevLink

jala.ListRenderer. renderPrevLinkAsString(param) deprecated Use {@link #getPrevLink} instead
Returns a rendered link to the previous page as string
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| A rendered link to the previous page

jala.ListRenderer. renderNextLink(param)
Renders a link to the next page directly to response.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

see

jala.ListRenderer.getNextLink

jala.ListRenderer. getNextLink(param)
Returns a rendered link to the previous page as string. For performance reasons this method caches the rendered link in the local cache of this ListRenderer instance.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| A rendered link to the previous page

see

jala.ListRenderer.renderNextLink

jala.ListRenderer. renderNextLinkAsString(param) deprecated Use {@link #getNextLink} instead
Returns a rendered link to the previous page as string
parameters

| param |

returns

| A rendered link to the next page

jala.ListRenderer. renderPageNavigation(param)
Renders the page navigation bar directly to response. For performance reasons this method caches the rendered page navigation in the local cache of this ListRenderer instance.
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

see

jala.ListRenderer.getPageNavigation

jala.ListRenderer. getPageNavigation(param)
Returns the rendered page navigation bar as string
parameters

Object | param | Object containing extra parameters (e.g. from a macro call).

returns

| The rendered page navigation

see

jala.ListRenderer.renderPageNavigation

jala.ListRenderer. renderPageNavigationAsString(param) deprecated Use {@link #getPageNavigation} instead
Returns the rendered page navigation bar as string
parameters

| param |

returns

| The rendered page navigation bar

jala.ListRenderer. limit_macro(param)
Either renders the maximum number of items per page, or sets the limit to a given number.
parameters

Object

param

Extra macro parameters:

- to - The maximum number of items per page to be set.

If no limit is set, this macro returns the current number of items per page.

returns

| The current maximum number of items per page

jala.ListRenderer. prevLink_macro(param)
Returns a rendered link to the previous page.
parameters

Object

param

Extra macro parameters:

- type - The type of renderer to be applied.

returns

| A rendered link to the previous page

see

jala.ListRenderer.renderPrevLink

jala.ListRenderer. nextLink_macro(param)
Returns a rendered link to the next page.
parameters

Object

param

Extra macro parameters:

- type - The type of renderer to be applied.

returns

| A rendered link to the next page

see

jala.ListRenderer.renderNextLink

jala.ListRenderer. pageNavigation_macro(param)
Returns the rendered page navigation bar.
parameters

Object

param

Extra macro parameters:

- type - The type of renderer to be applied.

returns

| The rendered page navigation bar

see

jala.ListRenderer.getPageNavigation

jala.ListRenderer. size_macro()
Returns the total number of items
returns

| The total number of items in the collection this ListRenderer instance is working on

jala.ListRenderer. totalPages_macro()
Returns the total number of pages
returns

| The total number of pages available

jala.ListRenderer. currentPage_macro()
Returns the current page number
returns

| The current page number

jala.ListRenderer. currentStart_macro()
Returns the start item number in the current page
returns

| The start item number in the current page

jala.ListRenderer. currentEnd_macro()
Returns the end item number in the current page
returns

| The end item number in the current page

jala.ListRenderer. render_macro(param)
Renders the current page of this list.
parameters

Object

param

Extra macro parameters:

- skin - The name of the list skin to render for each item in the list.
- type - The type of renderer to be applied.

see

jala.ListRenderer.renderList

jala.ListRenderer.ArrayList. get(idx)
Returns the element at the index position passed as argument. If the wrapped array is just a subsection the index position passed will be corrected using the offset.
parameters

Number | idx | The index position of the element to return

returns

| The element at the given index position

jala.ListRenderer.ArrayList. size()
Returns the size of this ArrayList, which is either the length of the wrapped array or the total size passed as argument to the constructor (in case the wrapped array is just a subsection).
returns

| The size of this ArrayList instance

jala.ListRenderer.ArrayList. isSubset()
Returns true if this ArrayList is a subsection of a bigger array
returns

| True if this ArrayList is a subsection of a bigger array

jala.ListRenderer.ArrayList. subsetSize()
Returns the actual size of this ArrayList's wrapped array.
returns

| The actual size of this ArrayList's wrapped array.

Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar